net.sourceforge.jnlp

## Class PluginBridge

- java.lang.Object
- - net.sourceforge.jnlp.JNLPFile
  - - net.sourceforge.jnlp.PluginBridge

-     public class PluginBridge
      extends JNLPFile

  Allows reuse of code that expects a JNLPFile object, while overriding behaviour specific to applets.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jnlp.JNLPFile

      `codeBase, component, defaultArch, defaultLocale, defaultOS, fileLocation, fileVersion, info, launchType, resources, security, sharedResources, sourceLocation, specVersion, uniqueKey, update`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginBridge(java.net.URL codebase, java.net.URL documentBase, java.lang.String jar, java.lang.String main, int width, int height, PluginParameters params)` Creates a new PluginBridge using a default JNLPCreator.
    `PluginBridge(java.net.URL codebase, java.net.URL documentBase, java.lang.String archive, java.lang.String main, int width, int height, PluginParameters params, JNLPCreator jnlpCreator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `codeBaseLookup()`
    `java.util.List<java.lang.String>` | `getArchiveJars()`
    `java.util.List<java.lang.String>` | `getCodeBaseFolders()` Returns the list of folders to be added to the codebase
    `DownloadOptions` | `getDownloadOptionsForJar(JARDesc jar)` XXX: this method does a "==" comparison between the input JARDesc and jars it finds through getResourcesDescs().
    `ResourcesDesc` | `getResources(java.util.Locale locale, java.lang.String os, java.lang.String arch)` Returns the resources section of the JNLP file for the specified locale, os, and arch.
    `ResourcesDesc[]` | `getResourcesDescs(java.util.Locale locale, java.lang.String os, java.lang.String arch)` Returns the resources section of the JNLP file for the specified locale, os, and arch.
    `java.lang.String` | `getTitle()` Returns the JNLP file's best localized title.
    `boolean` | `isApplet()` Returns whether the lauch descriptor describes an Applet.
    `boolean` | `isApplication()` Returns whether the lauch descriptor describes an Application.
    `boolean` | `isComponent()` Returns whether the lauch descriptor describes a Component.
    `boolean` | `isInstaller()` Returns whether the lauch descriptor describes an Installer.
    `boolean` | `useJNLPHref()`

    - ### Methods inherited from class net.sourceforge.jnlp.JNLPFile

      `getApplet, getApplication, getCodeBase, getComponent, getFileLocation, getFileVersion, getInformation, getInformation, getInstaller, getLaunchInfo, getNewVMArgs, getResources, getResourcesDescs, getSecurity, getSourceLocation, getSpecVersion, getUniqueKey, getUpdate, getVendor, localeMatches, needsNewVM, requiresSignedJNLPWarning, setDefaults, setSignedJNLPAsMissing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginBridge

          public PluginBridge(java.net.URL codebase,
                      java.net.URL documentBase,
                      java.lang.String jar,
                      java.lang.String main,
                      int width,
                      int height,
                      PluginParameters params)
                       throws java.lang.Exception

      Creates a new PluginBridge using a default JNLPCreator.
      Throws:
        `java.lang.Exception`

    - #### PluginBridge

          public PluginBridge(java.net.URL codebase,
                      java.net.URL documentBase,
                      java.lang.String archive,
                      java.lang.String main,
                      int width,
                      int height,
                      PluginParameters params,
                      JNLPCreator jnlpCreator)
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### getArchiveJars

          public java.util.List<java.lang.String> getArchiveJars()

    - #### codeBaseLookup

          public boolean codeBaseLookup()

    - #### useJNLPHref

          public boolean useJNLPHref()

    - #### getDownloadOptionsForJar

          public DownloadOptions getDownloadOptionsForJar(JARDesc jar)

      XXX: this method does a "==" comparison between the input JARDesc and jars it finds through getResourcesDescs(). If ever the implementation of that function should change to return copies of JARDescs objects, then the "jar == aJar" comparison below should change accordingly.
      Overrides:
        `getDownloadOptionsForJar` in class `JNLPFile`
      Parameters:
        `jar` - the jar whose download options to get.
      Returns:
        the download options.

    - #### getTitle

          public java.lang.String getTitle()

      Description copied from class: `JNLPFile`
      Returns the JNLP file's best localized title. This method returns the same value as InformationDesc.getTitle().
      Overrides:
        `getTitle` in class `JNLPFile`

    - #### getResources

          public ResourcesDesc getResources(java.util.Locale locale,
                                   java.lang.String os,
                                   java.lang.String arch)

      Description copied from class: `JNLPFile`
      Returns the resources section of the JNLP file for the specified locale, os, and arch.
      Overrides:
        `getResources` in class `JNLPFile`

    - #### getCodeBaseFolders

          public java.util.List<java.lang.String> getCodeBaseFolders()

      Returns the list of folders to be added to the codebase

    - #### getResourcesDescs

          public ResourcesDesc[] getResourcesDescs(java.util.Locale locale,
                                          java.lang.String os,
                                          java.lang.String arch)

      Returns the resources section of the JNLP file for the specified locale, os, and arch.
      Overrides:
        `getResourcesDescs` in class `JNLPFile`

    - #### isApplet

          public boolean isApplet()

      Description copied from class: `JNLPFile`
      Returns whether the lauch descriptor describes an Applet.
      Overrides:
        `isApplet` in class `JNLPFile`

    - #### isApplication

          public boolean isApplication()

      Description copied from class: `JNLPFile`
      Returns whether the lauch descriptor describes an Application.
      Overrides:
        `isApplication` in class `JNLPFile`

    - #### isComponent

          public boolean isComponent()

      Description copied from class: `JNLPFile`
      Returns whether the lauch descriptor describes a Component.
      Overrides:
        `isComponent` in class `JNLPFile`

    - #### isInstaller

          public boolean isInstaller()

      Description copied from class: `JNLPFile`
      Returns whether the lauch descriptor describes an Installer.
      Overrides:
        `isInstaller` in class `JNLPFile`

Submit a bug or feature